# Class ColFitsTableWriter

java.lang.Object
uk.ac.starlink.table.StreamStarTableWriter
uk.ac.starlink.fits.AbstractFitsTableWriter
uk.ac.starlink.fits.ColFitsTableWriter

All Implemented Interfaces:
  `uk.ac.starlink.table.MultiStarTableWriter, uk.ac.starlink.table.StarTableWriter`

@Deprecated public class ColFitsTableWriter extends AbstractFitsTableWriter
Deprecated.
Use
invalid reference

    uk.ac.starlink.votable.UnifiedFitsTableWriter

instead
Handles writing of a `StarTable` in a column-oriented FITS binary table format. The table data is stored in a BINTABLE extension which has a single row; each cell in this row contains the data for an entire column of the represented table.

This rather specialised format may provide good performance for certain operations on very large, especially very wide, tables. Although it is FITS and can therefore be used in principle for data interchange, in practice most non-STIL processors are unlikely to be able to do much useful with it.

Since:
  21 Jun 2006
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`ColFitsTableWriter()`
Deprecated.
Default constructor.
`ColFitsTableWriter(String name, WideFits wide)`
Deprecated.
allows some configuration options but not others; use no-arg constructor and configuration methods instead

## Method Summary

Modifier and Type
Method
Description
`protected FitsTableSerializer`
`createSerializer(uk.ac.starlink.table.StarTable table)`
Deprecated.
Provides a suitable serializer for a given table.
`boolean`
`looksLikeFile(String location)`
Deprecated.

### Methods inherited from class AbstractFitsTableWriter

`getAllowSignedByte, getAllowZeroLengthString, getConfig, getCurrentDate, getFormatName, getMetadataCards, getMimeType, getPadCharacter, getWide, getWriteDate, setAllowSignedByte, setAllowZeroLengthString, setFormatName, setPadCharacter, setWide, setWriteDate, writePrimaryHDU, writeStarTable, writeStarTables, writeStarTables, writeTableHDU`

### Methods inherited from class uk.ac.starlink.table.StreamStarTableWriter

`writeStarTable, writeStarTable`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface uk.ac.starlink.table.StarTableWriter

`writeStarTable`

## Constructor Details

### ColFitsTableWriter

public ColFitsTableWriter()
Deprecated.
Default constructor.

### ColFitsTableWriter

@Deprecated public ColFitsTableWriter(String name, WideFits wide)
Deprecated.
allows some configuration options but not others; use no-arg constructor and configuration methods instead
Deprecated custom constructor.

## Method Details

### looksLikeFile

public boolean looksLikeFile(String location)
Deprecated.

### createSerializer

protected FitsTableSerializer createSerializer(uk.ac.starlink.table.StarTable table) throws IOException
Deprecated.
Description copied from class: `AbstractFitsTableWriter`
Provides a suitable serializer for a given table. Note this should throw an IOException if it can be determined that the submitted table cannot be written by this writer, for instance if it has too many columns.

Specified by:
  `createSerializer` in class `AbstractFitsTableWriter`
Parameters:
  `table` - table to serialize
Returns:
  FITS serializer
Throws:
  `IOException` - if the table can't be written